@echo off
cd /d "%~dp0"
title Project Dogwaffle Portable
echo.
echo 正在绿化...
regsvr32 /s BEVELBOX.OCX
regsvr32 /s COMCTL32.OCX
regsvr32 /s COMDLG32.OCX
regsvr32 /s DR_BUTTON_CONTROLL.OCX
regsvr32 /s DR_MX_BUTTON_CONTROLL.OCX
regsvr32 /s RICHTX32.OCX
regsvr32 /s HPROP.OCX
regsvr32 /s MsStkPrp.dll
regsvr32 /s MSVBVM50.dll
regsvr32 /s VBTablet.dll
regsvr32 /s %windir%\system32\BEVELBOX.OCX
regsvr32 /s %windir%\system32\COMCTL32.OCX
regsvr32 /s %windir%\system32\COMDLG32.OCX
regsvr32 /s %windir%\system32\DR_BUTTON_CONTROLL.OCX
regsvr32 /s %windir%\system32\DR_MX_BUTTON_CONTROLL.OCX
regsvr32 /s %windir%\system32\RICHTX32.OCX
regsvr32 /s %windir%\system32\HPROP.OCX
regsvr32 /s %windir%\system32\MsStkPrp.dll
regsvr32 /s %windir%\system32\MSVBVM50.dll
regsvr32 /s %windir%\system32\VBTablet.dll
dogwaffle.exe /regserver
cls
echo.
echo 绿化完毕 - PortableSoft
echo.
pause